<?php
namespace Targetbay\Tracking\Block\Tracking;

class  Customer extends \Magento\Framework\View\Element\Template {

	protected $_customerSession;

	protected $_cookieManager;

	public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Customer\Model\Session $customerSession, \Magento\Framework\Stdlib\CookieManagerInterface $cookieManager) {
		parent::__construct($context);
		$this -> _customerSession = $customerSession;
		$this -> _cookieManager = $cookieManager;
	}

	public function getUserInfo() {

		if ($this -> _customerSession -> isLoggedIn()) {
			$userInfo['user_id'] = $this -> _customerSession -> getId();
			$userInfo['user_email'] = $this -> _customerSession -> getCustomer() -> getEmail();
			$userInfo['user_name'] = $this -> _customerSession -> getCustomer() -> getName();
			return $userInfo;
		}
		$visitorName = \Targetbay\Tracking\Helper\Data::ANONYMOUS_USER;
		$userInfo['user_id'] = $this -> _cookieManager -> getCookie('targetbay_session_id');
		$userInfo['user_email'] = '';
		$userInfo['user_name'] = $visitorName;
		return $userInfo;
	}

}
