<?php

namespace Targetbay\Tracking\Block;

class Reviews extends \Magento\Framework\View\Element\Template
{

    /**
     * @var \Targetbay\Tracking\Helper\Data
     */
    protected $trackingHelper;

    /**
     * @param \Targetbay\Tracking\Helper\Data $trackingHelper
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Targetbay\Tracking\Helper\Data $trackingHelper
    ) {
        parent::__construct($context);
        $this->_isScopePrivate = true;
        $this->_trackingHelper = $trackingHelper;

        if ($this->_trackingHelper->trackingEnabled()) {
            $this->setTemplate('Targetbay_Tracking::reviews.phtml');
        }
    }
}
